<template>
  <div class="bg-white dark:bg-black common-layout">
    <el-container>
      <el-aside :class="`${isCollapse ? 'aside-collapse' : ''} z-20`">
        <navigation
          :is-collapse="isCollapse"
          :handle-collapse-menu="handleCollapseMenu"
          :logo="logo"
          :mini-logo="miniLogo"
          :is-dark="isDark"
          :is-hidden="isToggleMode.IsHidden"
          @toggle="toggleDark"
        />
      </el-aside>
      <el-container id="content-container" class="z-0">
        <ModernHeader
          :is-collapsed="isCollapse"
          :is-dark="isDark"
          :is-hidden="isToggleMode.IsHidden"
          @toggle="toggleDark"
        />
        <div class="content py-[80px]">
          <slot />
        </div>
        <el-footer>
          <lazy-footer template="modern" layout="desktop"
          :propertiesKeys="[
              'footer_payment_method',
              'footer_game_license',
              'footer_game_provider',
              'footer_menu_info_',
              'footer_copyright',
              'mini_logo',
              'logo',
            ]"/>
        </el-footer>
      </el-container>
    </el-container>
  </div>
</template>
<script lang="ts">
import { computed, defineComponent, ref } from "vue";
import Navigation from "@/components/theme/desktop/modern/components/Navigation.client.vue";
import ModernHeader from "@/components/theme/desktop/modern/components/Header.client.vue";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import themePropertyHelper from "@/utils/themePropertyHelper";
import commonHelper from "@/utils/commonHelper";
import useDarkMode from "~~/composables/theme/useDarkMode";

export default defineComponent({
  components: {
    Navigation,
    ModernHeader,
  },
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const logo = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "logo"
        )
    );
    const miniLogo = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "mini_logo"
        )
    );
    const isToggleMode = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "mode_toggle"
        )
    );
    const { isDark, toggleDark } = useDarkMode;
    const isCollapse = ref(true);
    const handleCollapseMenu = () => {
      isCollapse.value = !isCollapse.value;
    };
    const { getAssetImage } = commonHelper;
    const darkBackground = `url(${getAssetImage(
      "assets/theme/black_modern_1/fonts/bg_page-user-form.svg"
    )}`;
    const lightBackground = `url(${getAssetImage(
      "assets/theme/black_modern_1/fonts/bg_page-user-form_1.svg"
    )}`;
    return {
      logo,
      miniLogo,
      handleCollapseMenu,
      isCollapse,
      isDark,
      toggleDark,
      darkBackground,
      lightBackground,
      isToggleMode,
    };
  },
});
</script>
<style lang="scss">
:root {
  --accent-gradient: linear-gradient(
    273.8deg,
    var(--secondary) 15.88%,
    var(--primary) 98.99%
  );
  --accent-gradient-hover: linear-gradient(
    273.8deg,
    var(--secondary) 15.88%,
    var(--primary) 98.99%
  );
  --accent-color: var(--primary);
  --accent-color-light: var(--primary);
  --accent-filter: invert(62%) sepia(90%) saturate(799%) hue-rotate(162deg)
    brightness(102%) contrast(101%);
}
body,
.el-container {
  background: var(--background3);
}
html::-webkit-scrollbar,
body::-webkit-scrollbar {
  width: 8px;
}

html::-webkit-scrollbar-thumb,
body::-webkit-scrollbar-thumb {
  background: var(--text2);
  border-radius: 10px;
}
html::-webkit-scrollbar-track,
body::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 5px transparent;
  box-shadow: inset 0 0 5px transparent;
  border-radius: 10px;
}
div[layout="black_modern_desktop_1"] .page {
  padding: 16px 0 80px;
  min-height: calc(50vh - 72px);
}
.el-container {
  background: var(--background2);
}
.aside-collapse {
  --el-aside-width: 72px;
}
.el-footer {
  height: unset;
}

.button-login, .btn-fb {
  background: var(--button-bg);
  box-sizing: border-box;
  color: var(--text);
  -webkit-box-sizing: border-box;
  text-transform: uppercase;
  text-align: center;
  border-radius: 5px;
  padding: 10px;
  width: 100%;
  box-shadow: var(--box-shadow);
}
.btn-fb {
  min-width: 112px;
}
.button--t4 {
  background: var(--primary);
  box-sizing: border-box;
  color: var(--textBtn);
  box-shadow: var(--box-shadow);
  -webkit-box-sizing: border-box;
  text-transform: uppercase;
  text-align: center;
  border-radius: 5px;
  padding: 10px;
  width: 100%;
}
.common-layout {
  .vertical-sub-tabs .selected,
  .payment-method-group .selected,
  .el-radio-button
    .el-radio-button__original-radio:checked
    + .el-radio-button__inner,
  .el-radio-button:first-child
    .el-radio-button__original-radio:checked
    + .el-radio-button__inner {
    border: 2px solid var(--primary-fallback);
  }
  .el-input__inner,
  .el-input.is-disabled .el-input__inner {
    height: 32px;
    width: 100%;
    padding: 8px;
    font-family: Roboto, sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    color: var(--text5);
    background: var(--background5);
    box-shadow: none;
    border-radius: 4px;
    box-sizing: border-box;
    border: 1px solid var(--border);
  }
  .el-form-item.is-error .el-input__inner {
    border: none;
  }
  .el-button,
  .el-button.el-button--primary.is-plain,
  .el-input-group__append {
    color: var(--textBtn);
    background-color: var(--secondary);
    border: unset;
  }
  .bank-icon {
    .el-radio-button,
    .el-radio-button__inner {
      background: var(--button-bg) !important;
    }
    .el-radio-button__inner div {
      background: unset;
    }
  }
  .AgentCooperation {
    padding-top: 15px;
    padding-bottom: 30px;
    .el-form {
      width: 540px;
      max-width: 100%;
      margin: 0 auto;
      background: var(--background2);
      box-shadow: var(--box-shadow);
      border-radius: 40px;
      padding: 40px 30px;
      position: relative;
    }
  }
  .content {
    padding-top: 72px;
    padding-bottom: 30px;
    .el-tabs__item.is-active,
    .el-tabs__item:hover {
      color: var(--primary);
    }
    .el-tabs__active-bar {
      background-color: var(--primary);
    }
  }
  .el-button:hover {
    background: var(--button-bg-hover);
    border: unset;
  }
  .el-select:hover .el-input__inner {
    background: var(--background2);
    border: 1px solid transparent;
    box-shadow: var(--box-shadow-inset);
  }
  .el-input__inner:focus {
    background: var(--background2);
  }
  .el-tree-node__content,
  .el-tree-node__children {
    padding-right: 40px;
  }
  .bg-background2 {
    box-shadow: var(--box-shadow);
  }
  @media (max-width: 1300px), (orientation: portrait) {
    .game-list-container .games__list {
      grid-template-columns: repeat(4, 1fr) !important;
      grid-template-rows: auto;
    }
  }
  @media (max-width: 1200px) {
    .game-list-container .games__list {
      grid-template-columns: repeat(3, 1fr) !important;
    }
  }
  .el-table {
    --el-table-bg-color: var(--background2);
    --el-table-tr-bg-color: var(--background2);
  }
  #pane-sport,
  #pane-vSport,
  #pane-casino,
  #pane-gameBet,
  #pane-cockfight,
  #pane-poker,
  #pane-lottery {
    padding-left: 8px;
    padding-right: 8px;
  }
  .el-form-item__error {
    margin-left: auto;
  }
  .page__header {
    margin-top: 10px;
  }
  .el-dialog {
    --el-dialog-bg-color: var(--background2);
  }
  .el-radio-button {
    background: var(--background1);
  }
  .el-loading-spinner .path {
    stroke: var(--accent-color);
    stroke-width: 5px;
  }

  #captcha-button {
    --captcha-button-color: var(--background2);
    max-width: 300px;
    margin-left: auto;
    box-shadow: var(--box-shadow);
    height: 40px;
    border-radius: 8px;
  }
  #captcha-pop-up-verify {
    color: var(--text);
  }
  .btn-click-captcha-to-verify .el-form-item__content {
    flex-direction: column;
  }
  #captcha-pop-up-verify img[alt="verify icon"] {
    filter: invert(50%);
  }
  .captcha-dialog-container {
    --captcha-loading-color: var(--primary-fallback);
    --captcha-submit-button-color: var(--primary);
    --captcha-submit-button-text-color: var(--textBtn);
    --captcha-dialog-border-top-color: var(--primary-fallback);
    #btn-submit-captcha {
      box-shadow: var(--box-shadow);

      &:hover,
      &:focus {
        background: var(--accent-gradient-hover);
      }
      &:active {
        box-shadow: var(--box-shadow-inset);
      }
    }
  }
}

body.el-popup-parent--hidden .social-toggle {
  z-index: -1;
}

html.dark .common-layout #captcha-pop-up-verify img[alt="verify icon"] {
  filter: unset;
}

html.dark .common-layout .AgentCooperation {
  background: v-bind("darkBackground") no-repeat;
  background-size: 620px;
}
.common-layout .AgentCooperation {
  background: v-bind("lightBackground") no-repeat;
  background-size: 620px;
}
.right-contact-us-bmd1 {
  position: fixed;
  height: 100vh;
  top: 0 !important;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: transparent !important;
  ul {
    gap: 0.5rem;
  }
  li {
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--background2);
    box-shadow: var(--box-shadow);
    overflow: hidden;
    border-radius: 50%;
  }
}
.tooltip-bmd1 {
  padding: 10px;
  box-shadow: var(--box-shadow);
  background: var(--background2) !important;
  border-radius: 20px;
  right: 10px !important;
  max-width: 250px;

  .tooltip-item-bmd1 {
    img {
      max-width: 150px;
      margin-bottom: 15px;
      border-radius: 5px;
      margin-left: auto;
      margin-right: auto;

      + div {
        color: var(--text2);
      }
    }
  }
}
#btn-submit-captcha {
  margin-top: unset !important;
}
</style>
